Skip to main content
Back to API List Executes Conversation Test Suites and returns the execution status along with a testRunId to track progress. This API only initiates the test — use the Conversation Test Suite Execution Status API to retrieve results.
Testers cannot run conversation test suites through the interface or API.
PropertyValue
MethodPOST
Endpointhttps://{{host}}/api/public/stream/:streamId/conversation/testsuite/:testSuiteName/run
Content Typeapplication/json
Authorizationauth: {{JWT}} — See How to generate the JWT Token.
API ScopeApp Builder: Conversation Tests Execution; Admin Console: Conversation Tests Execution

Query Parameters

ParameterDescriptionRequired
hostEnvironment URL. For example, https://platform.kore.aiRequired
StreamIDStream ID, accessible under General Settings on the App Builder.Required
testSuiteNameName of the test suite on the App Builder.Required

Sample Request

curl --location \
      'https://{{host}}/api/public/stream/:streamId/conversation/testsuite/:testSuiteName/run' \
      --header 'auth: {jwt-token}' \
      --header 'bot-language: {language-code}' \
      --header 'Content-Type: application/json' \
      --data-raw '{
         "version": "published",
         "userEmailId": "email-id-of-the-bot-owner-or-developer"
         }'

Body Parameters

ParameterDescriptionRequired
versionVersion of the bot to test against: published for the published version, or inDevelopment for the configured version.Required
userEmailIdEmail ID of the app owner or a developer the app is shared with. For example, "userEmailId": "john.doe@example.com"Required

Sample Response

{
    "status": "IN_PROGRESS",
    "testRunId": "ctr-80xxxx9a-bxx1-58xx-axx7-d5xxxxxxxxxx"
}